Skip to main content

ColorSelect

The ColorSelect control provides a handy way of selecting colors from a predefined palette. You can set the selected color, apply your own palette by redefining the default one, add a placeholder, a tooltip or the Clear icon into the control's input and render a disabled color select.

ColorSelect

Initialization​

To add a ColorSelect instance into your application, you need to complete two steps:

  • import the source file of the control on a page:
App.jsx
import { ColorSelect } from "@svar-ui/react-core";
  • apply the <ColorSelect> tag to initialize a color select:
App.jsx
<ColorSelect />

A default color select is initialized without any color selected.

Setting the value​

The value of ColorSelect is the Hexadecimal code of a color selected in the control. It is displayed in the input of the control when selection is done. You can specify the selected color as a string via the value property.

<ColorSelect value="#00a037" />

Related sample: ColorSelect

Getting the current value​

You can get the current value of the ColorSelect control. For this, you need to:

  • declare a state variable that will contain the control's value (it may contain the initial value):
import { useState } from "react";
import { ColorSelect } from "@svar-ui/react-core";

export default function App() {
const [color, setColor] = useState();

return <ColorSelect value={color} onChange={({ value }) => setColor(value)} />;
}

If the name of the state matches the prop name you prefer, you can use any name; for example, using value:

import { useState } from "react";
import { ColorSelect } from "@svar-ui/react-core";

export default function App() {
const [value, setValue] = useState();

return <ColorSelect value={value} onChange={({ value: newValue }) => setValue(newValue)} />;
}

After that the state assigned to the value will be updated on each change of the color.

Related sample: ColorSelect

Using custom colors​

The ColorSelect control is supplied with a predefined set of colors. These colors are visible in the palette which opens when you click in the input. The list of default colors is given below:

const colors = [
"#00a037",
"#df282f",
"#fd772c",
"#6d4bce",
"#b26bd3",
"#c87095",
"#90564d",
"#eb2f89",
"#ea77c0",
"#777676",
"#a9a8a8",
"#9bb402",
"#e7a90b",
"#0bbed7",
"#038cd9"
];

This list can be modified via the colors API property. You simply add your own color codes as strings into the colors array:

<ColorSelect colors={['#65D3B3', '#FFC975', '#58C3FE']} />

and get a custom palette in a color select:

ColorSelect custom palette

Related sample: ColorSelect

Adding the Clear button​

The Clear button allows clearing the selected option from the input.

ColorSelect Clear icon

To add the Clear button into the input, use the clear property:

<ColorSelect clear />

Related sample: ColorSelect

Adding a title​

A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a ColorSelect:

import { useState } from "react";
import { ColorSelect } from "@svar-ui/react-core";

export default function App() {
const [color, setColor] = useState();

return (
<ColorSelect
value={color}
onChange={({ value }) => setColor(value)}
id="myColor"
title="Colors can be reconfigured"
/>
);
}

ColorSelect title

Related sample: ColorSelect

Catching the change of the selected option​

In case you need to catch the change of the selected option, you can do it by handling the change event. Inside the event you can get the value of the newly selected option in the following way:

const handleChange = ({ value }) => {
console.log(value);
// HEX code
};

<ColorSelect onChange={handleChange} />

The handler function of the change event receives an object with the HEX code of the newly selected color.

Adding a placeholder for the input​

You can add a placeholder inside a color select's input. The placeholder can contain some prompting message to make interaction with the control simpler. All you need is to set your message as a value of the placeholder property:

<ColorSelect placeholder="Select a color" />

ColorSelect input placeholder

note

For a placeholder to be visible in the input, a color select should be initialized without the initial value specified.

Related sample: ColorSelect

Setting the disabled state​

Whenever you need to render a disabled color select, you can do it with the help of the disabled property set to true.

<ColorSelect disabled={true} />

Disabled color select

It is also possible to set the disabled state for a color select by declaring the property with no value:

<ColorSelect disabled />

Related sample: ColorSelect

Adding a label​

A default color select has no label. To add it, you can use the Field component and complete several steps:

  • include the Field source file on a page and declare the <Field> tag with the necessary props:
    • add a desired label via the label property
    • set the position:"left" property, if you want to place the label to the left of the color select
import { Field, ColorSelect } from "@svar-ui/react-core";

After that, wrap the color select into the <Field> tag. The Field component automatically generates an id for the inner control, which creates label-input association.

<Field label="Select a color" position="left">
<ColorSelect />
</Field>

ColorSelect

Related sample: ColorSelect

Configuring the dropdown​

You can configure the behavior and appearance of the color select dropdown via the dropdown property.

By default, the dropdown is attached to the document body and rendered above other elements of the application. If you use a custom popupContainer, the dropdown will be attached to it instead. To render the dropdown inline - inside the same HTML element as the input - set the inline option to true:

<ColorSelect dropdown={{ inline: true }} />

When the dropdown is in the default (non-inline) mode and the color select is placed inside a scrollable container, you can use the trackScroll property to automatically close the dropdown when the container is scrolled. This prevents the dropdown from staying open after the input has scrolled out of view:

<Field>
<div style={{ height: "150px", overflow: "auto" }}>
<div style={{ height: "700px" }}>
<ColorSelect dropdown={{ trackScroll: true }} />
</div>
</div>
</Field>

You can also control the position and alignment of the dropdown relative to the input, as well as its width and a custom CSS class:

<ColorSelect
colors={['#65D3B3', '#FFC975', '#58C3FE']}
dropdown={{
position: "bottom",
align: "start",
width: "auto",
css: "my-dropdown"
}}
/>

Related article: dropdown

Related sample: ColorSelect

Styling a color select​

You can apply custom styles to ColorSelect by providing a CSS class name via the css property and defining the desired styles in a CSS file:

<ColorSelect css="my-class" />
.my-class {
background-color: gold;
}

Styling a color validation error​

When you use a color select inside a form and a wrong color value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):

<ColorSelect error={true} />

The input's border and the color's value become red. To make the label red as well, use the error property of the Field control:

import { Field, ColorSelect } from "@svar-ui/react-core";

<Field label="Error" error>
<ColorSelect error />
</Field>

Error styling

Related sample: ColorSelect

Skip to main content

ColorSelect

The ColorSelect control provides a handy way of selecting colors from a predefined palette. You can set the selected color, apply your own palette by redefining the default one, add a placeholder, a tooltip or the Clear icon into the control's input and render a disabled color select.

ColorSelect

Initialization​

To add a ColorSelect instance into your application, you need to complete two steps:

  • import the source file of the control on a page:
App.svelte
<script>
import { ColorSelect } from "@svar-ui/svelte-core";
</script>
  • apply the <ColorSelect> tag to initialize a color select:
App.svelte
<ColorSelect />

A default color select is initialized without any color selected.

Setting the value​

The value of ColorSelect is the Hexadecimal code of a color selected in the control. It is displayed in the input of the control, when selection is done. You can specify the selected color as a string via the value property.

<ColorSelect value="#00a037" />

Related sample: ColorSelect

Getting the current value​

You can get the current value of the ColorSelect control. For this, you need to:

  • declare a variable that will contain the control's value (it may contain the initial value):
<script>
import { ColorSelect } from "@svar-ui/svelte-core";

let color;
</script>
  • bind the variable to the value property of the control:
<ColorSelect bind:value={color} />

If the name of the variable matches its value, you can use the shorthand while binding the property:

<script>
import { ColorSelect } from "@svar-ui/svelte-core";

let value;
</script>

<ColorSelect bind:value />

After that the value assigned to the bound variable will be updated on each change of the color.

Related sample: ColorSelect

Using custom colors​

The ColorSelect control is supplied with a predefined set of colors. These colors are visible in the palette which opens when you click in the input. The list of default colors is given below:

let colors = [
"#00a037",
"#df282f",
"#fd772c",
"#6d4bce",
"#b26bd3",
"#c87095",
"#90564d",
"#eb2f89",
"#ea77c0",
"#777676",
"#a9a8a8",
"#9bb402",
"#e7a90b",
"#0bbed7",
"#038cd9"
];

This list can be modified via the colors API property. You simply add your own color codes as strings into the colors array:

<ColorSelect colors={['#65D3B3', '#FFC975', '#58C3FE']} />

and get a custom palette in a color select:

ColorSelect custom palette

Related sample: ColorSelect

Adding the Clear button​

The Clear button allows clearing the selected option from the input.

ColorSelect Clear icon

To add the Clear button into the input, use the clear property:

<ColorSelect clear />

Related sample: ColorSelect

Adding a title​

A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a ColorSelect:

<ColorSelect
bind:value={color}
{id}
title="Colors can be reconfigured" />

ColorSelect title

Related sample: ColorSelect

Catching the change of the selected option​

In case you need to catch the change of the selected option, you can do it by handling the change event. Inside the event you can get the value of the newly selected option in the following way:

<script>
function handleChange({value}){
console.log(value);
// HEX code
}
</script>

<ColorSelect onchange={handleChange}/>

The handler function of the change event takes an object with the HEX code of the newly selected color.

Adding a placeholder for the input​

You can add a placeholder inside a color select's input. The placeholder can contain some prompting message to make interaction with the control simpler. All you need is to set your message as a value of the placeholder property:

<ColorSelect placeholder="Select a color"/>

ColorSelect input placeholder

note

For a placeholder to be visible in the input, a color select should be initialized without the initial value specified.

Related sample: ColorSelect

Setting the disabled state​

Whenever you need to render a disabled color select, you can do it with the help of the disabled property set to true.

<ColorSelect disabled={true}/>

Disabled color select

It is also possible to set the disabled state for a color select by declaring the property with no value:

<ColorSelect disabled />

Related sample: ColorSelect

Adding a label​

A default color select has no label. To add it, you can use the Field component and complete several steps:

  • include the Field source file on a page, declare the <Field> tag and complete it with the necessary props:
    • add a desired label via the label property
    • set the position="left" property if you want to place the label to the left of the color select
<script>
import { ColorSelect, Field } from "@svar-ui/svelte-core";
</script>

<Field label="Select a color" position="left" />

After that, wrap the color select into the <Field> tag. The Field component automatically generates an id for the inner control, which creates label-input association.

<Field label="Select a color" position="left">
<ColorSelect />
</Field>

ColorSelect

Related sample: ColorSelect

Configuring the dropdown​

You can configure the behavior and appearance of the color select dropdown via the dropdown property.

By default, the dropdown is attached to the document body and rendered above other elements of the application. If you use a custom popupContainer, the dropdown will be attached to it instead. To render the dropdown inline — inside the same HTML element as the input — set the inline option to true:

<ColorSelect dropdown={{ inline: true }} />

When the dropdown is in the default (non-inline) mode and the color select is placed inside a scrollable container, you can use the trackScroll property to automatically close the dropdown when the container is scrolled. This prevents the dropdown from staying open after the input has scrolled out of view:

<Field>
<div style="height: 150px; overflow: auto;">
<div style="height: 700px;">
<ColorSelect dropdown={{ trackScroll: true }} />
</div>
</div>
</Field>

You can also control the position and alignment of the dropdown relative to the input, as well as its width and a custom CSS class:

<ColorSelect
colors={['#65D3B3', '#FFC975', '#58C3FE']}
dropdown={{
position: "bottom",
align: "start",
width: "auto",
css: "my-dropdown"
}}
/>

Related article: dropdown

Related sample: ColorSelect

Styling a color select​

You can apply custom styles to ColorSelect by providing a CSS class name via the css property and defining the desired styles in a <style> block:

<div class="demo-box">
<ColorSelect css="my-class" />
</div>

<style>
.demo-box :global(.my-class) {
background-color: gold;
}
</style>

Svelte styles apply only to the current component's elements. Use :global() to target elements inside SVAR controls. To make the selector more specific, include the HTML tag name before the class.

Styling a color validation error​

When you use a color select inside a form and a wrong color value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):

<ColorSelect error={true}/>

the input's border and the color's value become red. To make the label red as well, use the error property of the Field control:

<script>
import { ColorSelect, Field } from "@svar-ui/svelte-core";
</script>

<Field label="Error" error>
<ColorSelect error />
</Field>

Error styling

Related sample: ColorSelect

Skip to main content

ColorSelect

The ColorSelect control provides a handy way of selecting colors from a predefined palette. You can set the selected color, apply your own palette by redefining the default one, add a placeholder, a tooltip or the Clear icon into the control's input and render a disabled color select.

ColorSelect

Initialization​

To add a ColorSelect instance into your application, you need to complete two steps:

  • import the source file of the control on a page:
App.vue
<script setup>
import { ColorSelect } from "@svar-ui/vue-core";
</script>
  • apply the <ColorSelect> tag to initialize a color select:
App.vue
<template>
<ColorSelect />
</template>

A default color select is initialized without any color selected.

Setting the value​

The value of ColorSelect is the Hexadecimal code of a color selected in the control. It is displayed in the input of the control, when selection is done. You can specify the selected color as a string via the value property.

<ColorSelect value="#00a037" />

Related sample: ColorSelect

Getting the current value​

You can get the current value of the ColorSelect control. For this, you need to:

  • declare a variable that will contain the control's value (it may contain the initial value):
<script setup>
import { ref } from "vue";
import { ColorSelect } from "@svar-ui/vue-core";

const color = ref(null);
</script>
  • bind the variable to the value property of the control:
<ColorSelect v-model:value="color" />

After that the value assigned to the bound variable will be updated on each change of the color.

Related sample: ColorSelect

Using custom colors​

The ColorSelect control is supplied with a predefined set of colors. These colors are visible in the palette which opens when you click in the input. The list of default colors is given below:

const colors = [
"#00a037",
"#df282f",
"#fd772c",
"#6d4bce",
"#b26bd3",
"#c87095",
"#90564d",
"#eb2f89",
"#ea77c0",
"#777676",
"#a9a8a8",
"#9bb402",
"#e7a90b",
"#0bbed7",
"#038cd9"
];

This list can be modified via the colors API property. You simply add your own color codes as strings into the colors array:

<ColorSelect :colors="['#65D3B3', '#FFC975', '#58C3FE']" />

and get a custom palette in a color select:

ColorSelect custom palette

Related sample: ColorSelect

Adding the Clear button​

The Clear button allows clearing the selected option from the input.

ColorSelect Clear icon

To add the Clear button into the input, use the clear property:

<ColorSelect clear />

Related sample: ColorSelect

Adding a title​

A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a ColorSelect:

<ColorSelect
v-model:value="color"
:id="id"
title="Colors can be reconfigured" />

ColorSelect title

Related sample: ColorSelect

Catching the change of the selected option​

In case you need to catch the change of the selected option, you can do it by handling the change event. Inside the event you can get the value of the newly selected option in the following way:

<script setup>
function handleChange({value}){
console.log(value);
// HEX code
}
</script>

<template>
<ColorSelect :onchange="handleChange"/>
</template>

The handler function of the change event takes an object with the HEX code of the newly selected color.

Adding a placeholder for the input​

You can add a placeholder inside a color select's input. The placeholder can contain some prompting message to make interaction with the control simpler. All you need is to set your message as a value of the placeholder property:

<ColorSelect placeholder="Select a color"/>

ColorSelect input placeholder

note

For a placeholder to be visible in the input, a color select should be initialized without the initial value specified.

Related sample: ColorSelect

Setting the disabled state​

Whenever you need to render a disabled color select, you can do it with the help of the disabled property set to true.

<ColorSelect :disabled="true"/>

Disabled color select

It is also possible to set the disabled state for a color select by declaring the property with no value:

<ColorSelect disabled />

Related sample: ColorSelect

Adding a label​

A default color select has no label. To add it, you can use the Field component and complete several steps:

  • include the Field source file on a page, declare the <Field> tag and complete it with the necessary props:
    • add a desired label via the label property
    • set the position:"left" property, if you want to place the label to the left of the color select
<script setup>
import { ColorSelect, Field } from "@svar-ui/vue-core";
</script>

<template>
<Field label="Select a color" position="left" />
</template>

After that, wrap the color select into the <Field> tag. The Field component automatically generates an id for the inner control, which creates label-input association.

<template>
<Field label="Select a color" position="left">
<ColorSelect />
</Field>
</template>

ColorSelect

Related sample: ColorSelect

Configuring the dropdown​

You can configure the behavior and appearance of the color select dropdown via the dropdown property.

By default, the dropdown is attached to the document body and rendered above other elements of the application. If you use a custom popupContainer, the dropdown will be attached to it instead. To render the dropdown inline - inside the same HTML element as the input - set the inline option to true:

<ColorSelect :dropdown="{ inline: true }" />

When the dropdown is in the default (non-inline) mode and the color select is placed inside a scrollable container, you can use the trackScroll property to automatically close the dropdown when the container is scrolled. This prevents the dropdown from staying open after the input has scrolled out of view:

<Field>
<div style="height: 150px; overflow: auto;">
<div style="height: 700px;">
<ColorSelect :dropdown="{ trackScroll: true }" />
</div>
</div>
</Field>

You can also control the position and alignment of the dropdown relative to the input, as well as its width and a custom CSS class:

<ColorSelect
:colors="['#65D3B3', '#FFC975', '#58C3FE']"
:dropdown="{
position: 'bottom',
align: 'start',
width: 'auto',
css: 'my-dropdown'
}"
/>

Related article: dropdown

Related sample: ColorSelect

Styling a color select​

You can apply custom styles to ColorSelect by providing a CSS class name via the css property and defining the desired styles in a <style> block:

<div class="demo-box">
<ColorSelect css="my-class" />
</div>

<style scoped>
.demo-box :global(.my-class) {
background-color: gold;
}
</style>

Vue styles with scoped apply only to the current component's elements. Use :global() to target elements inside SVAR controls. To make the selector more specific, include the HTML tag name before the class.

Styling a color validation error​

When you use a color select inside a form and a wrong color value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):

<ColorSelect :error="true"/>

the input's border and the color's value become red. To make the label red as well, use the error property of the Field control:

<script setup>
import { ColorSelect, Field } from "@svar-ui/vue-core";
</script>

<template>
<Field label="Error" error>
<ColorSelect error />
</Field>
</template>

Error styling

Related sample: ColorSelect